{% extends "base.html" %}
{% block container %}
    <h1 class="mt-5">Monthly payment calculator</h1>
    <p>
      Les mensualités de prêt permettent de connaître exactement le coût de votre crédit par mois.
      Calculez vos mensualités de prêt pour connaître la somme d’argent que vous devrez rembourser chaque mois à la banque.
      Si vous comptez emprunter pour un achat immobilier,
      n’hésitez pas à moduler les montants liés à votre emprunt pour obtenir les mensualités souhaitées.
    </p>

    <form name="calculator" method="post">
      <div class="row">
        <div class="col-md-6">
        {% include '_form.html' %}
        </div>
      </div>
      <button type="submit" class="btn btn-info mt-4">Calculate</button>
    </form>

    {% if monthly_payment %}
    <div class="row">
      <div class="form-control mt-4">
          <div class="card">
            <div class="card-body">
              <p>Monthly payment: {{ monthly_payment }}€</p>
            </div>
          </div>
          <h3 class="mt-4">Récapitulatif de votre calcul de mensualités</h3>
          <p>
            Loan amount: {{ form.amount.data }}€ -
            Interest rate: {{ form.interest.data }}% -
            Terms: {{ form.term.data }} years
          </p>
      </div>
    </div>
    {% endif %}

{% endblock %}
